.roller_container {
  display: flex;
}
.buttons {
  text-align: center;
}
.buttons button:not(:last-child) {
  margin-right: 10px;
}


/* -----------------------------------------------------------------------------
  Order
----------------------------------------------------------------------------- */
.order_container {
  margin: 0;
  text-align: center;
  height: calc(100% - 110px);
}
.pf_label {
  margin-left: 10px;
}
.char_name_input,
.char_roll_input,
.char_pf_input {
  width: 100%;
}
.chars_legend {
  width: 90%;
  padding-bottom: 5px;
  margin-left: 7px;
}
.chars_legend span {
  display: inline-block;
  text-align: left;
}
.char_dead_legend {
  width: 10%;
}
.char_name_legend {
  width: 45%;
}
.char_roll_legend,
.char_pf_legend {
  width: 15%;
  padding-left: 10px;
}
.chars {
  height: 90%;
  font-weight: bold;
}
.chars li {
  padding: 5px 10px;
  height: 50px;
  text-align: left;
  position: relative;
}
.chars li:not(.dead) {
  cursor: pointer;
}
.chars li.dead span {
  color: #d9534f;
}
.chars li span {
  display: inline-block;
}
.chars li span.char_remove {
  display: none;
}
.char_remove {
  position: absolute;
  top: 17px;
  right: 5px;
  width: 17px;
  height: 17px;
  color: #636c72;
  cursor: pointer;
}
.char_remove i:hover {
  color: #d9534f;
}
.char_dead {
  width: 10%;
  text-align: left;
}
.char_name {
  width: 45%;
  text-align: left;
}
.char_roll,
.char_pf {
  width: 18%;
  text-align: center;
}
.chars li:not(.dead) span.char_dead i {
  display: none;
}
.chars li.selected span.char_dead i,
.chars li.dead span.char_dead i:hover {
  display: block;
  color: #636c72;
  cursor: pointer;
}
.chars li.selected span.char_dead i:hover,
.chars li.dead span.char_dead i {
  color: #d9534f;
}
.chars li input.char_pf,
.chars li input.char_roll {
  background: none;
  font-size: 100%;
  margin-left: 10px;
  border: 1px solid #636c72;
}
.chars li .char_pf[disabled] {
  border: none;
}
.chars li.pg {
  color: green;
}


/* -----------------------------------------------------------------------------
  Roller
----------------------------------------------------------------------------- */
.roller {
  position: relative;
}
.roller .section_header {
  left: 0;
}
.roller .dice_container {
  flex: 1;
  justify-content: space-around;
  text-align: center;
  padding: 30px 20px 30px 20px;
}
.roller .roller_type:first-child {
  border-bottom: 1px solid black;
  padding-bottom: 30px;
  margin-bottom: 30px;
}
.roller .dice_container .container_title {
  text-align: left;
  margin-bottom: 10px;
}
.roller .single_dice_container .dice,
.roller .multiple_dice {
  width: 70px;
  height: 70px;
  margin: 0 10px;
}
.roller .single_dice_container .dice {
  font-size: 120%;
  text-align: right;
  line-height: 5;
  background-size: 80%;
  background-position: center;
  background-repeat: no-repeat;
  position: relative;
}
.roller .single_dice_container .dice#d4 { background-image: url('../img/dice/d4.png'); }
.roller .single_dice_container .dice#d6 { background-image: url('../img/dice/d6.png'); }
.roller .single_dice_container .dice#d8 { background-image: url('../img/dice/d8.png'); }
.roller .single_dice_container .dice#d10 { background-image: url('../img/dice/d10.png'); }
.roller .single_dice_container .dice#d12 { background-image: url('../img/dice/d12.png'); }
.roller .single_dice_container .dice#d20 { background-image: url('../img/dice/d20.png'); }
.roller .single_dice_container .dice span {
  position: absolute;
  top: 0;
  left: 5px;
  color: #ddd;
  font-size: 150%;
  line-height: 20px;
}
.roller .multiple_dice {
  display: inline;
  position: relative;
}
.roller .multiple_dice label {
  position: absolute;
  bottom: -40px;
  right: 5px;
}
.roller .multiple_dice input {
  width: 70px;
}
.roller .roll_multiple {
  margin-top: 30px;
}

/* -----------------------------------------------------------------------------
  History
----------------------------------------------------------------------------- */
.dice_legend {
  margin: 0 5px;
}
.char_legend {
  float: right;
}
.history .content {
  height: 93%;
  padding: 5px 0;
}
.history .content li {
  line-height: 1.3;
  display: inline-block;
  width: 100%;
  padding: 5px 10px;
}
.history .content li:nth-child(even) {
  background: rgba(0,0,0,0.1);
}
.history .content li:not(:first-child) {
  margin: 5px 0 0 0;
}
.history .content li div {
  font-weight: bold;
  width: 65%;
  display: inline-block;
}
.history .content li .char {
  font-style: italic;
  float: right;
  width: 20%;
  text-align: right;
  display: inline-block;
}
.history .content li span.negative_crit { color: red; }
.history .content li span.normal { color: blue; }
.history .content li span.positive_crit { color: green; }

.history .content li::before {
  width: 20px;
  height: 20px;
  display: inline-block;
  content: '';
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  margin-right: 5px;
  vertical-align: bottom;
}
.history .content li.d4::before { background-image: url('../img/dice/d4.png'); }
.history .content li.d6::before { background-image: url('../img/dice/d6.png'); }
.history .content li.d8::before { background-image: url('../img/dice/d8.png'); }
.history .content li.d10::before { background-image: url('../img/dice/d10.png'); }
.history .content li.d12::before { background-image: url('../img/dice/d12.png'); }
.history .content li.d20::before { background-image: url('../img/dice/d20.png'); }
